<?php
session_start(); // Start the session

include 'db.php';

$email = "";
$password = "";
$err_msg = "";
$success_msg = "";

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $email = $_POST['email'];
    $password = $_POST['password'];

    if (empty($email) || empty($password)) {
        $err_msg = "Both fields are required!";
    } else {
        // Validate login credentials
        $stmt = $conn->prepare("SELECT * FROM admin WHERE email = ?");
        $stmt->bind_param("s", $email);
        $stmt->execute();
        $result = $stmt->get_result();

        if ($result->num_rows > 0) {
            $user = $result->fetch_assoc();
            // Direct comparison without password_hash()
            if ($password == $user['password']) {
                // Store user id and email in the session
                $_SESSION['id'] = $user['id'];
                $_SESSION['email'] = $user['email'];

                $success_msg = "Login successful! Redirecting to dashboard...";
                header("refresh:2; url=index.php"); // Redirect to dashboard
                exit();
            } else {
                $err_msg = "Invalid password!";
            }
        } else {
            $err_msg = "No user found with this email!";
        }

        $stmt->close();
    }
}

$conn->close();
?>


<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="icon" href="../../../images/favicon.ico">

  <title>EV Admin - Login</title>

  <!-- Vendors Style-->
  <link rel="stylesheet" href="../src/css/vendors_css.css">
    
  <!-- Style-->  
  <link rel="stylesheet" href="../src/css/style.css">
  <link rel="stylesheet" href="../src/css/skin_color.css">  
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons/font/bootstrap-icons.css">


</head>
  
<body class="hold-transition theme-primary bg-img" style="background-image: url(../../../images/auth-bg/bg-16.jpg)">
  
  <div class="container h-p100">
    <div class="row align-items-center justify-content-md-center h-p100">  
    
      <div class="col-12">
        <div class="row justify-content-center g-0">
          <div class="col-lg-5 col-md-5 col-12">
            <div class="bg-white rounded10 shadow-lg">
              <div class="content-top-agile p-20 pb-0">
                <h2 class="text-primary fw-600">Login to Now</h2>
                <p class="mb-0 text-fade">Sign in to continue to EV OHMHH.</p>                            
              </div>
              <div class="p-40">
                <!-- Login Form -->
                <form action="" method="POST">
    <div class="form-group">
        <div class="input-group mb-3">
            <span class="input-group-text bg-transparent"><i class="bi bi-envelope text-fade"></i></span>
            <input type="email" class="form-control ps-15 bg-transparent" placeholder="Email" name="email" required value="<?php echo htmlspecialchars($email); ?>">
        </div>
    </div>
    <div class="form-group">
        <div class="input-group mb-3">
            <span class="input-group-text bg-transparent"><i class="bi bi-lock text-fade"></i></span>
            <input type="password" class="form-control ps-15 bg-transparent" placeholder="Password" name="password" required>
        </div>
    </div>
    <div class="row">
        <div class="col-12 text-center">
            <button type="submit" class="btn btn-primary w-p100 mt-10">SIGN IN</button>
        </div>
    </div>
</form>

                <?php if ($err_msg): ?>
                  <div class="alert alert-danger mt-3"><?php echo $err_msg; ?></div>
                <?php endif; ?>
                <?php if ($success_msg): ?>
                  <div class="alert alert-success mt-3"><?php echo $success_msg; ?></div>
                <?php endif; ?>

                <div class="text-center">
                  <p class="mt-15 mb-0 text-fade">Don't have an account? <a href="admin-register.php" class="text-primary ms-5">Register</a></p>
                </div>
                
              </div>            
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Vendor JS -->
  <script src="../src/js/vendors.min.js"></script>
  <script src="../src/js/pages/chat-popup.js"></script>
  <script src="../../../assets/icons/feather-icons/feather.min.js"></script>  

</body>
</html>
