<?php

header("Content-Type: application/json");
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: POST, OPTIONS");
header("Access-Control-Allow-Headers: Content-Type");

include 'db.php'; 

if (isset($_GET['id'])) {
    $appointmentId = $_GET['id'];

    $sql = "SELECT `firstName`, `lastName`, `service`, `subService`, `date`, `time`, `email`, `phone`, `timeOfBirth`, `placeOfBirth`, `city`, `country`, `created_at`, `action`, `approved_number`
            FROM `appointment` WHERE `id` = ?";
    
    if ($stmt = $conn->prepare($sql)) {
        $stmt->bind_param('i', $appointmentId);
        $stmt->execute();
        $result = $stmt->get_result();
        
        if ($result->num_rows > 0) {
            $appointment = $result->fetch_assoc();
            echo json_encode(['success' => true, 'appointment' => $appointment]);
        } else {
            echo json_encode(['success' => false, 'message' => 'Appointment not found']);
        }

        $stmt->close();
    } else {
        echo json_encode(['success' => false, 'message' => 'Database error']);
    }

    $conn->close();
} else {
    echo json_encode(['success' => false, 'message' => 'No appointment ID provided']);
}
?>
