<?php
session_start();

if (!isset($_SESSION['id']) || !isset($_SESSION['email'])) {
    header("Location: admin-login.php");
    exit();
}

include 'db.php';

$user_id = $_SESSION['id'];
$sql = "SELECT id, username, email FROM admin WHERE id = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("i", $user_id);
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows > 0) {
    $user = $result->fetch_assoc();
    $username = $user['username'];
    $email = $user['email'];
} else {
    header("Location: admin-login.php");
    exit();
}

$stmt->close();
$conn->close();


?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="../../../images/logo.webp">

    <title>Best Indian Astrologer in Edison, New Jersey – OHM Holistic Healings</title>
    <meta property="og:description" content="Best Indian Astrologer in Edison, New Jersey – OHM Holistic Healings" />

        


    <!-- Vendors Style-->
    <link rel="stylesheet" href="../src/css/vendors_css.css">

    <!-- Style-->
    <link rel="stylesheet" href="../src/css/style.css">
    <link rel="stylesheet" href="../src/css/skin_color.css">
    <link rel="stylesheet" href="../src/css/custom.css">


    <!-- jQuery -->
<!-- <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script> -->
<!-- Bootstrap JS -->
<!-- <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script> -->


    <!-- Bootstrap CSS -->
<!-- <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet"> -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>


    <link href="https://www.jqueryscript.net/css/jquerysctipttop.css" rel="stylesheet" type="text/css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons/font/bootstrap-icons.css" rel="stylesheet">

</head>

<body class="hold-transition light-skin sidebar-mini theme-primary fixed">

    <div class="wrapper">
        <!-- <div id="loader"></div> -->

        <header class="main-header">
            <div class="d-flex align-items-center logo-box justify-content-start">
                <!-- Logo -->
                <a href="index.php" class="logo">
                    <!-- logo-->
                    <div class="logo-mini w-80">
                        <span class="light-logo"><img src="../../../images/logo.webp" alt="logo"></span>
                        <span class="dark-logo"><img src="../../../images/logo.webp" alt="logo"></span>
                    </div>
                    <div class="logo-lg">
                        <!-- <span class="light-logo"><img src="../../../images/logo.webp" alt="logo"></span> -->
                        <!-- <span class="dark-logo"><img src="../../../images/logo.webp" alt="logo"></span> -->
                    </div>
                </a>
            </div>
            <nav class="navbar navbar-static-top">
                <div class="app-menu">
                    <ul class="header-megamenu nav">
                        <li class="btn-group nav-item">
                            <a href="#" class="waves-effect waves-light nav-link push-btn btn-primary-light" data-toggle="push-menu" role="button">
                                <i data-feather="menu"></i>
                            </a>
                        </li>

                    </ul>
                </div>

                <div class="navbar-custom-menu r-side">
                    <ul class="nav navbar-nav">
                        

                        <li class="dropdown user user-menu">
                            <a href="#" class="waves-effect waves-light dropdown-toggle w-auto l-h-12 bg-transparent p-0 no-shadow" title="User" data-bs-toggle="modal" data-bs-target="#quick_user_toggle">
                                <img src="../../../images/avatar/avatar-13.png" class="avatar rounded-circle bg-primary-light h-40 w-40" alt="" />
                            </a>
                        </li>

                    </ul>
                </div>
            </nav>
        </header>

        <div class="modal modal-right fade" id="quick_user_toggle" tabindex="-1">
            <div class="modal-dialog">
                <div class="modal-content slim-scroll3">
                    <div class="modal-body p-30 bg-white">
                        <div class="d-flex align-items-center mb-15 justify-content-between pb-30">
                            <h4 class="m-0">Admin Profile
                                <a href="#" class="btn btn-icon btn-danger-light btn-sm no-shadow" data-bs-dismiss="modal">
                                    <span class="fa fa-close"></span>
                                </a>
                        </div>
                        <div>
                            <div class="d-flex flex-row">
                                <div class=""><img src="../../../images/avatar/avatar-13.png" alt="user" class="rounded bg-danger-light w-150" width="100"></div>
                                <div class="ps-20">
                                    <h5 class="mb-0"><?php echo $username; ?></h5>
                                    <p class="my-5 text-fade">admin</p>
                                    <a href="mailto:<?php echo $email; ?>"><span class="icon-Mail-notification me-5 text-success"></span> <?php echo $email; ?></a>
                                    <button class="btn btn-success-light btn-sm mt-5"><i class="ti-plus"></i> Follow</button>
                                </div>
                            </div>
                        </div>
                        <div class="dropdown-divider my-30"></div>
                        <div>
                            <div class="d-flex align-items-center mb-30">
                                <div class="me-15 bg-primary-light h-50 w-50 l-h-60 rounded text-center">
                                    <span class="bi bi-person-circle fs-24"></span>
                                </div>
                                <div class="d-flex flex-column fw-500">
                                    <a href="profile.php" class="text-dark hover-primary mb-1 fs-16">My Profile</a>
                                    <span class="text-fade">Account settings and more</span>
                                </div>
                            </div>

                            <div class="d-flex align-items-center mb-30">
                                <div class="me-15 bg-danger-light h-50 w-50 l-h-60 rounded text-center">
                                    <span class="bi bi-box-arrow-right fs-24"></span>
                                </div>
                                <div class="d-flex flex-column fw-500">
                                    <a href="#" class="text-dark hover-danger mb-1 fs-16" id="logoutButton">Log Out</a>
                                    <span class="text-fade">Sign out of your account</span>
                                </div>
                            </div>
                        </div>

                        <div class="modal fade" id="logoutModal" tabindex="-1" aria-labelledby="logoutLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content" style="padding: 20px; border-radius: 12px; box-shadow: 0 8px 24px rgba(0, 0, 0, 0.1);">
                                    <div class="modal-body text-center">
                                        <h5 class="mb-4" id="logoutLabel">Are you sure you want to log out?</h5>
                                        <button type="button" class="btn btn-danger" id="confirmLogout">Yes</button>
                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">No</button>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

</body>

</html>

<script>
    document.getElementById('logoutButton').addEventListener('click', function(event) {
        event.preventDefault();
        var modal = new bootstrap.Modal(document.getElementById('logoutModal'));
        modal.show();
    });

    document.getElementById('confirmLogout').addEventListener('click', function() {
        var xhr = new XMLHttpRequest();
        xhr.open('POST', 'logout.php', true);
        xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
        xhr.onload = function() {
            if (xhr.status === 200) {
                var response = JSON.parse(xhr.responseText);
                if (response.success) {
                    window.location.href = 'admin-login.php';
                } else {
                    alert('Error logging out. Please try again.');
                }
            }
        };
        xhr.send();
    });
</script>