<?php
include 'header.php';
include 'aside.php';
include 'db.php'; // Include the database connection
?>

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <div class="container-full">
        <!-- Content Header (Page header) -->
        <div class="content-header">
            <div class="d-flex align-items-center">
                <div class="me-auto">
                    <h4 class="page-title">All Appointments</h4>
                    <div class="d-inline-block align-items-center">
                        <nav>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="#"><i class="bi bi-house-door"></i>
                                </a></li>
                                <li class="breadcrumb-item" aria-current="page">Dashboard</li>
                                <li class="breadcrumb-item active" aria-current="page">Add Appointment</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-12">
                    <div class="box">
                        <div class="box-header">
                            <h4 class="box-title">Appointment Details</h4>
                        </div>
                        <div class="box-body">
                            <div class="table-responsive">
                                <table id="complex_header" class="table table-bordered table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr class="text-dark">
                                        <th>Id</th>
                                            <th>Name</th>
                                            <th>Service</th>
                                            <th>Sub-Service</th>
                                            <th>Date</th>
                                            <th>Time</th>
                                            <th>Email</th>
                                            <th>Phone</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        // SQL query to fetch the data from appointment table
                                        $sql = "SELECT `id`, `service`, `subService`, `date`, `time`, `firstName`, `lastName`, `email`, `phone`, `timeOfBirth`, `placeOfBirth`, `city`, `country`, `created_at`, `action`, `approved_number` FROM `appointment` WHERE 1";
                                        $result = $conn->query($sql);

                                        // Check if there are any rows returned
                                        if ($result->num_rows > 0) {
                                            // Output data of each row
                                            while($row = $result->fetch_assoc()) {
                                                $fullName = $row['firstName'] . ' ' . $row['lastName'];
                                                echo "<tr>";
                                                echo "<td>" . $row['id'] . "</td>";
                                                echo "<td class='text-dark'>" . $fullName . "</td>";
                                                echo "<td>" . $row['service'] . "</td>";
                                                echo "<td>" . $row['subService'] . "</td>";
                                                echo "<td>" . $row['date'] . "</td>";
                                                echo "<td>" . $row['time'] . "</td>";
                                                echo "<td>" . $row['email'] . "</td>";
                                                echo "<td>" . $row['phone'] . "</td>";
                                                echo "<td>
                                                        <select class='form-select action-dropdown' data-id='" . $row['id'] . "'>
                                                            <option value=''>Select Action</option>
                                                            <option value='view'>View</option>
                                                            <option value='approved'>Approved</option>
                                                            <option value='reject'>Reject</option>
                                                        </select>
                                                      </td>";
                                                echo "</tr>";
                                            }
                                        } else {
                                            echo "<tr><td colspan='8'>No records found</td></tr>";
                                        }

                                        // Close the database connection
                                        $conn->close();
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>


<option value='approved'>Approved</option>

<!-- Modal for Appointment Details -->
<div class="modal fade" id="approveModal" tabindex="-1" aria-labelledby="approveLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" style="padding: 20px; border-radius: 12px; box-shadow: 0 8px 24px rgba(0, 0, 0, 0.1);">
            <div class="modal-body" id="approveContent">
                <!-- Dynamic content will be injected here -->
            </div>
            <div class="modal-footer" style="border-top: 1px solid #e0e0e0; padding-top: 20px;">
                <button type="button" class="btn btn-success" id="approveYesButton">Yes</button>
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">No</button>
            </div>
        </div>
    </div>
</div>

<script>
    // Listen for change in action dropdown
    document.querySelectorAll('.action-dropdown').forEach(function(dropdown) {
        dropdown.addEventListener('change', function() {
            var action = dropdown.value;
            var appointmentId = dropdown.getAttribute('data-id');
            
            // If Approved option is selected
            if (action === 'approved') {
                // Use AJAX to fetch the appointment details
                var xhr = new XMLHttpRequest();
                xhr.open('GET', 'get_appointment_details.php?id=' + appointmentId, true);
                xhr.onload = function() {
                    if (xhr.status === 200) {
                        var data = JSON.parse(xhr.responseText);
                        if (data.success) {
                            // Populate modal with the fetched data
                            var content = `
                                <div style="display: flex; flex-direction: column; gap: 20px;">
                                    <div style="display: flex; flex-direction: column; gap: 20px; text-align: center;">
                                        <h4 style="font-size: 32px; color: #34495e;">${data.appointment.firstName} ${data.appointment.lastName}</h4>
                                        <p style="font-size: 18px; color: #34495e;">Are you sure you want to approve this user?</p>
                                    </div>
                                </div>
                            `;
                            document.getElementById('approveContent').innerHTML = content;

                            // Show modal
                            var modal = new bootstrap.Modal(document.getElementById('approveModal'));
                            modal.show();

                            // Handle "Yes" button to approve
                            document.getElementById('approveYesButton').addEventListener('click', function() {
                                // Update the action field to '1' (approved)
                                var xhrUpdate = new XMLHttpRequest();
                                xhrUpdate.open('POST', 'update_appointment_action.php', true);
                                xhrUpdate.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
                                xhrUpdate.onload = function() {
                                    if (xhrUpdate.status === 200) {
                                        alert('Appointment approved!');
                                        location.reload();  // Reload the page to reflect the changes
                                    }
                                };
                                xhrUpdate.send('id=' + appointmentId + '&action=1');
                            });
                        } else {
                            alert('Appointment details not found!');
                        }
                    }
                };
                xhr.send();
            }
        });
    });
</script>


<!-- Modal for View Details -->
<div class="modal fade" id="viewDetailsModal" tabindex="-1" aria-labelledby="viewDetailsLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" style="padding: 20px; border-radius: 12px; box-shadow: 0 8px 24px rgba(0, 0, 0, 0.1);">
        <div class="modal-header" style="border-bottom: 1px solid #e0e0e0; display: flex; justify-content: center; width: 100%;">
    <h5 class="modal-title" id="viewDetailsLabel" style="font-size: 20px; font-weight: normal; color: #34495e; text-align: center;">
        Appointment Details
    </h5>
</div>

            <div class="modal-body" id="viewDetailsContent">

        </div>
            <div class="modal-footer" style="border-top: 1px solid #e0e0e0; padding-top: 20px;">
    <div style="display: flex; justify-content: flex-end; gap: 10px;">

        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" aria-label="Close">Close</button>
    </div>
</div>

        </div>
    </div>
</div>

<script>
    document.querySelectorAll('.action-dropdown').forEach(function(dropdown) {
        dropdown.addEventListener('change', function() {
            var action = dropdown.value;
            var appointmentId = dropdown.getAttribute('data-id');

            if (action === 'view') {
                // Use AJAX to fetch the appointment details
                var xhr = new XMLHttpRequest();
                xhr.open('GET', 'get_appointment_details.php?id=' + appointmentId, true);
                xhr.onload = function() {
                    if (xhr.status === 200) {
                        var data = JSON.parse(xhr.responseText);
                        if (data.success) {
                            // Populate modal with the fetched data
                            var content = `
                                <div style="display: flex; flex-direction: column; gap: 20px;">
                                    <h4 style="text-align: center; font-size: 32px; color: #34495e;">${data.appointment.firstName} ${data.appointment.lastName}</h4>

                                    <div style="display: flex; flex-direction: column;">
                                        <div style="font-size: 16px; color: #34495e; font-weight: normal; margin-bottom: 10px; text-transform: uppercase; letter-spacing: 0.5px;">
                                            Appointment Information
                                        </div>
                                        <div style="display: flex; flex-direction: column;">
                                            <div style="display: flex; justify-content: space-between; padding: 8px 0;">
                                                <span style="color: #7f8c8d; width: 45%; font-size: 14px;">Service:</span>
                                                <span style="color: #34495e; width: 50%; text-align: right; font-size: 14px;">${data.appointment.service}</span>
                                            </div>
                                            <div style="display: flex; justify-content: space-between; padding: 8px 0;">
                                                <span style="color: #7f8c8d; width: 45%; font-size: 14px;">Sub-Service:</span>
                                                <span style="color: #34495e; width: 50%; text-align: right; font-size: 14px;">${data.appointment.subService}</span>
                                            </div>
                                            <div style="display: flex; justify-content: space-between; padding: 8px 0;">
                                                <span style="color: #7f8c8d; width: 45%; font-size: 14px;">Date:</span>
                                                <span style="color: #34495e; width: 50%; text-align: right; font-size: 14px;">${data.appointment.date}</span>
                                            </div>
                                            <div style="display: flex; justify-content: space-between; padding: 8px 0;">
                                                <span style="color: #7f8c8d; width: 45%; font-size: 14px;">Time:</span>
                                                <span style="color: #34495e; width: 50%; text-align: right; font-size: 14px;">${data.appointment.time}</span>
                                            </div>
                                            <div style="display: flex; justify-content: space-between; padding: 8px 0;">
                                                <span style="color: #7f8c8d; width: 45%; font-size: 14px;">Email:</span>
                                                <span style="color: #34495e; width: 50%; text-align: right; font-size: 14px;">${data.appointment.email}</span>
                                            </div>
                                            <div style="display: flex; justify-content: space-between; padding: 8px 0;">
                                                <span style="color: #7f8c8d; width: 45%; font-size: 14px;">Phone:</span>
                                                <span style="color: #34495e; width: 50%; text-align: right; font-size: 14px;">${data.appointment.phone}</span>
                                            </div>
                                        </div>
                                    </div>

<div style="display: flex; justify-content: center; align-items: center; margin-top: 20px;">
    <div style="font-size: 16px; color: #34495e; margin-right: 10px;">
        Your appointment is:
    </div>
    <div style="color: ${data.appointment.status === 'approved' ? '#27ae60' : (data.appointment.status === 'rejected' ? '#e74c3c' : '#f1c40f')}; font-size: 14px; font-weight: bold; text-transform: uppercase;">
        ${data.appointment.status === 'approved' ? 'Approved' : (data.appointment.status === 'rejected' ? 'Rejected' : 'Pending')}
    </div>
</div>


                                </div>
                            `;
                            document.getElementById('viewDetailsContent').innerHTML = content;
                            var modal = new bootstrap.Modal(document.getElementById('viewDetailsModal'));
                            modal.show();
                        } else {
                            alert('Details not found!');
                        }
                    }
                };
                xhr.send();
            }
        });
    });
</script>

<style>
.modal-content {
    padding: 20px;
    border-radius: 12px;
    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.1);
}

.modal-header {
    border-bottom: 1px solid #e0e0e0;
}

.modal-title {
    font-size: 24px;
    font-weight: normal;
    color: #34495e;
}

.modal-footer {
    border-top: 1px solid #e0e0e0;
    padding-top: 20px;
}

/* Button Styling */
.approve-button {
    background-color: #27ae60;
    color: #fff;
    padding: 12px 30px;
    border: none;
    border-radius: 30px;
    font-size: 16px;
    cursor: pointer;
    transition: 0.3s ease;
}

.reject-button {
    background-color: #e74c3c;
    color: #fff;
    padding: 12px 30px;
    border: none;
    border-radius: 30px;
    font-size: 16px;
    cursor: pointer;
    transition: 0.3s ease;
}

/* Container for content inside the modal */
.view-details-content {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

/* Appointment information section */
.appointment-info {
    display: flex;
    flex-direction: column;
}

.appointment-info div {
    display: flex;
    justify-content: space-between;
    padding: 8px 0;
}

.appointment-info span {
    font-size: 14px;
    color: #7f8c8d;
}
.modal-title {
    text-align: center;
    justify-content: center;
}
/* Status Label */
.status {
    padding: 10px 20px;
    border-radius: 25px;
    text-align: center;
    background-color: #f1f1f1;
    color: #34495e;
    margin-bottom: 20px;
    font-size: 14px;
    text-transform: uppercase;
}
</style>

<?php include 'footer.php'; ?>
